std::match_results::prefix(3)

NAME
std::match_results::prefix - std::match_results::prefix

Synopsis
   const_reference prefix() const; (since C++11)
   Obtains a reference to the std::sub_match object representing the target sequence
   between the start of the beginning of the target sequence and the start of the
   entire match of the regular expression.
   The behavior is undefined unless ready() == true

Parameters
   (none)

Return value
   Reference to the unmatched prefix.

Example
// Run this code
 #include <iostream>
 #include <regex>
 #include <string>
 int main()
 {
   std::regex re("a(a)*b");
   std::string target("baaaby");
   std::smatch sm;
   std::regex_search(target, sm, re);
   std::cout << sm.prefix().str() << '\n';
 }

Output:
 b

See also
          returns sub-sequence between the end of the full match and the end of the
   suffix target sequence
          (public member function)